package com.ruoyi.projetctCost.beenfactory;


import com.ruoyi.Installationcost.service.IMesInfoInstallationcostService;
import com.ruoyi.contractInfo.service.IComContractInfoExchangeService;
import com.ruoyi.depart.service.ISysDepartService;
import com.ruoyi.financeBudget.service.IFinanceBudgetService;
import com.ruoyi.kyBg.service.IKyBgInfoService;
import com.ruoyi.kyTask.service.IKyTaskInfoService;
import com.ruoyi.mesInfo.service.IMesInfoService;
import com.ruoyi.projectChbSwf.service.IKzksProjectChbSwfService;
import com.ruoyi.projectChbWxf.service.IKzksProjectChbWxfService;
import com.ruoyi.projectChbZyf.service.IKzksProjectChbZyfService;
import com.ruoyi.projectCost.service.IProjectCostService;
import com.ruoyi.wzCk.ckDetail.service.IWzOutboundOrderBService;
import com.ruoyi.wzCk.ckInfo.service.IWzOutboundOrderHService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ServiceBeenFactory {

    /*科研任务service*/
    @Autowired
    private IKyTaskInfoService taskInfoService;

    /*科研报工service*/
    @Autowired
    private IKyBgInfoService KyBgInfoService;

    @Autowired
    private IFinanceBudgetService financeBudgetService;

    /*合同宽表service*/
    @Autowired
    private IComContractInfoExchangeService comContractInfoExchangeService;

    /*物资出库明细service*/
    @Autowired
    private IWzOutboundOrderBService wzOutboundOrderBService;

    /*物资出库单service*/
    @Autowired
    private IWzOutboundOrderHService wzOutboundOrderHService;

    /*事务费service*/
    @Autowired
    private IKzksProjectChbSwfService projectChbSwfService;

    /*外协费service*/
    @Autowired
    private IKzksProjectChbWxfService projectChbWxfService;

    /*专用费service*/
    @Autowired
    private IKzksProjectChbZyfService projectChbZyfService;

    /*组织部门service*/
    @Autowired
    private ISysDepartService departService;

    /*mes装机信息卡service*/
    @Autowired
    private IMesInfoService mesInfoService;

    /*项目成本service*/
    @Autowired
    private IProjectCostService projectCostService;

    @Autowired
    private IMesInfoInstallationcostService installationcostService;

    public IMesInfoInstallationcostService getInstallationcostService() {
        return installationcostService;
    }

    public IMesInfoService getMesInfoService() {
        return mesInfoService;
    }

    public IProjectCostService getProjectCostService() {
        return projectCostService;
    }

    public ISysDepartService getDepartService() {
        return departService;
    }

    public IKzksProjectChbSwfService getProjectChbSwfService() {
        return projectChbSwfService;
    }

    public IKzksProjectChbWxfService getProjectChbWxfService() {
        return projectChbWxfService;
    }

    public IKzksProjectChbZyfService getProjectChbZyfService() {
        return projectChbZyfService;
    }

    public IWzOutboundOrderBService getWzOutboundOrderBService() {
        return wzOutboundOrderBService;
    }

    public IWzOutboundOrderHService getWzOutboundOrderHService() {
        return wzOutboundOrderHService;
    }

    public IKyTaskInfoService getTaskInfoService() {
        return taskInfoService;
    }

    public IKyBgInfoService getKyBgInfoService() {
        return KyBgInfoService;
    }

    public IFinanceBudgetService getFinanceBudgetService() {
        return financeBudgetService;
    }

    public IComContractInfoExchangeService getComContractInfoExchangeService() {
        return comContractInfoExchangeService;
    }
}
